Bug 148830 - hotkeys delayed, IRQ 6 disabled, 2.6.10 regression - Asus A3811NUP
hotkeys delayed, IRQ 6 disabled, 2.6.10 regression - Asus A3811NUP
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 18:22 EST by qqzsxybbzmv
Modified: 2015-01-04 17:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:38:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output for 2.6.10-1.770_FC3 (hotkeys delayed) (29.42 KB, text/plain)
2006-02-11 18:00 EST, qqzsxybbzmv
no flags Details
dmesg output for self-compiled 2.6.11.10 with preemption (hotkeys working) (30.38 KB, text/plain)
2006-02-11 18:01 EST, qqzsxybbzmv
no flags Details
dmesg output for 2.6.12-1.1381_FC3 (hotkeys not working) (31.78 KB, text/plain)
2006-02-11 18:03 EST, qqzsxybbzmv
no flags Details
dmesg output for 2.6.9-1.724_FC3 (hotkeys working) (29.54 KB, text/plain)
2006-02-11 18:04 EST, qqzsxybbzmv
no flags Details

  None (edit)
Description qqzsxybbzmv 2005-02-15 18:22:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; de-DE; rv:1.7.5)
Gecko/20041108 Firefox/1.0

Description of problem:
I am using Fedora Core 3 on an Asus A3811NUP notebook.
Since I upgraded to kernel 2.6.10 the ACPI for my hot-keys are issued
by the kernel with a long delay (>1 min.) This happens with
2.6.10-1.741_FC3, 2.6.10-1.760_FC3 and 2.6.10-1.766_FC3. All kernels
with version 2.6.9 are working.

Version-Release number of selected component (if applicable):
kernel-2.6.10

How reproducible:
Always

Steps to Reproduce:
1. Boot.
2. Stop ACPID.
3. cat /proc/acpi/event
4. Press a hotkey.
    

Actual Results:  Only after a long time (>1 minute) the event appears.

Expected Results:  No delay but immediate processing of the event by
acpid.

Additional info:

When ACPID is not stopped Firefox (or whichever key was pressed)
starts up correctly. Just too late. So there is definitely no problem
with acpid or my event handling scripts.
Comment 1 qqzsxybbzmv 2005-05-24 17:44:00 EDT
Can be fixed by activating preemption in the kernel. Unfortunately the FC3
refuses compilation, but it works with a current kernel (for example 2.6.11.10)
from kernel.org with that option activated.
Comment 2 Dave Jones 2005-07-15 14:04:29 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 qqzsxybbzmv 2005-08-29 15:47:10 EDT
No change with 2.6.12-1.1372_FC3.

With 2.6.12-1.1376_FC3 the event does not appear at all. I noticed a "Disabling
IRQ #6" message while booting with this kernel.

Is there any chance that the problem will go away if I upgrade to FC4?
Comment 4 Dave Jones 2005-08-29 20:14:09 EDT
doubtful, they're the same kernel source.
Comment 5 Dave Jones 2005-12-07 13:53:55 EST
I take that back now, as FC4 has advanced past FC3 by two upstream revisions,
including lots of ACPI fixes.  It's unlikely that these will make it into an FC3
update before it reaches end of life.
Comment 6 Dave Jones 2006-01-16 17:27:24 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 7 Len Brown 2006-01-18 02:06:11 EST
> Disabling IRQ #6

This is important.
Can you attach the complete output from dmesg -s64000 from failing
and working kernels?
Comment 8 Dave Jones 2006-02-03 00:31:35 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 qqzsxybbzmv 2006-02-11 18:00:09 EST
Created attachment 124549 [details]
dmesg output for 2.6.10-1.770_FC3 (hotkeys delayed)
Comment 10 qqzsxybbzmv 2006-02-11 18:01:59 EST
Created attachment 124550 [details]
dmesg output for self-compiled 2.6.11.10 with preemption (hotkeys working)
Comment 11 qqzsxybbzmv 2006-02-11 18:03:32 EST
Created attachment 124551 [details]
dmesg output for 2.6.12-1.1381_FC3 (hotkeys not working)
Comment 12 qqzsxybbzmv 2006-02-11 18:04:23 EST
Created attachment 124552 [details]
dmesg output for 2.6.9-1.724_FC3 (hotkeys working)
Comment 13 Dave Jones 2006-07-29 01:27:41 EDT
Any improvement with the latest errata ?
Comment 14 Dave Jones 2006-09-16 22:02:44 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 15 Dave Jones 2006-10-16 14:07:26 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 16 Jon Stanley 2008-01-19 23:38:53 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.